Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class Ellipse

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.math.Circular
                  de.grogra.math.Ellipse

All Implemented Interfaces:
  ContextDependent, BSplineCurve, KnotVector, VertexList, VertexSet, Manageable, Shareable, XObject

    public class Ellipse

extends Circular

Nested Class Summary
`static class` | `Ellipse.Type`

Field Summary
`static Ellipse.Type` | `$TYPE`
`static SCOType.Field` | `firstRadius$FIELD`
`static SCOType.Field` | `secondRadius$FIELD`

Fields inherited from class de.grogra.math.Circular
`intermediateArcs$FIELD, plane$FIELD, reverse$FIELD, startingAtCenter$FIELD`

Constructor Summary
`Ellipse()`
`Ellipse(float firstRadius, float secondRadius)`

Method Summary
`protected float[]` | `calculateCache(GraphState gs)`
`protected int` | `getArcCount()`
`int` | `getDimension(GraphState gs)`
`float` | `getFirstRadius()`
`ManageableType` | `getManageableType()`
`float` | `getSecondRadius()`
`void` | `setFirstRadius(float value)`
`void` | `setSecondRadius(float value)`

Methods inherited from class de.grogra.math.Circular
`dependsOnContext, getDegree, getIntermediateArcs, getKnot, getPlane, getSize, getVertex, getXClass, getXData, initXClass, isRational, isReverse, isStartingAtCenter, setIntermediateArcs, setPlane, setReverse, setStartingAtCenter`

Methods inherited from class de.grogra.graph.impl.ContextDependentBase
`writeStamp`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.graph.ContextDependent
`writeStamp`

Field Detail

### $TYPE

    public static final Ellipse.Type $TYPE

### firstRadius$FIELD

    public static final SCOType.Field firstRadius$FIELD

### secondRadius$FIELD

    public static final SCOType.Field secondRadius$FIELD

Constructor Detail

### Ellipse

    public Ellipse()

### Ellipse

    public Ellipse(float firstRadius,
                   float secondRadius)

Method Detail

### calculateCache

    protected float[] calculateCache(GraphState gs)

  Specified by:
    `calculateCache` in class `Circular`

### getArcCount

    protected int getArcCount()

  Specified by:
    `getArcCount` in class `Circular`

### getDimension

    public int getDimension(GraphState gs)

### getFirstRadius

    public float getFirstRadius()

### getManageableType

    public ManageableType getManageableType()

### getSecondRadius

    public float getSecondRadius()

### setFirstRadius

    public void setFirstRadius(float value)

### setSecondRadius

    public void setSecondRadius(float value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD